软件中心停止响应?!

为当前最终发行版之前的所有版本提供支持
回复
stpassion
帖子: 51
注册时间: 2009-01-15 11:51
送出感谢: 0
接收感谢: 0

软件中心停止响应?!

#1

帖子 stpassion » 2010-11-16 0:07

我经常遇到这样的情况,打开软件中心第一次时候还是正常,等我关了它后再打开就停止响应如图,我试着把它卸载再安装也不行,好像有过一次UPGRADE还是没有解决问题,后来我在系统监视器里发现软件中心的进程居然是100%,结束进程试试吧?居然能成功打开了,于是又关了软件中心再打开又出现以前的情况——只要是软禁中心进程占用100%就不能打开,等于这个程序没有正常关闭呀!是什么引起的冲突啊?朋友们知道怎么解决吗?我不能总是结束进程这么的使用吧?我还是刚刚出点到的白白啊……我就是想搞明白它
附件
Screenshot-1.png
Screenshot.png
(7.99 KiB) 下载 4 次
头像
xiaomao101
帖子: 474
注册时间: 2006-04-05 18:12
送出感谢: 0
接收感谢: 0
联系:

Re: 软件中心停止响应?!

#2

帖子 xiaomao101 » 2010-11-16 11:30

终端下运行software-center
看看cpu100%时候终端下是什么提示信息。
lubcat
帖子: 2061
注册时间: 2010-09-27 12:59
送出感谢: 0
接收感谢: 0

Re: 软件中心停止响应?!

#3

帖子 lubcat » 2010-11-16 11:46

软件中心 问题似乎一直存在。。
生活里,有很多转瞬即逝,像在车站的告别,刚刚还相互拥抱,转眼已各自天涯。很多时候,你不懂,我也不懂,就这样,说着说着就变了,听着听着就倦了,看着看着就厌了,跟着跟着就慢了,走着走着就散了,爱着爱着就淡了,想着想着就算了。
stpassion
帖子: 51
注册时间: 2009-01-15 11:51
送出感谢: 0
接收感谢: 0

Re: 软件中心停止响应?!

#4

帖子 stpassion » 2010-11-17 22:12

xiaomao101 写了:终端下运行software-center
看看cpu100%时候终端下是什么提示信息。
怎么看?是这个吗?

代码: 全选

2010-11-17 22:09:59,702 - softwarecenter.backend.scagent - WARNING - error in query_info '不支持该操作'
2010-11-17 22:09:59,706 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/share/software-center/softwarecenter/db/update.py', 367, '_error_cb')'
2010-11-17 22:09:59,706 - root - WARNING - error: 不支持该操作
2010-11-17 22:09:59,909 - softwarecenter.app - INFO - software-center-agent finished with status 1
/usr/share/software-center/softwarecenter/view/catview_gtk.py:976: GtkWarning: gtk_box_pack: assertion `child->parent == NULL' failed
  self.box.pack_start(self.image, False)

代码: 全选

CTraceback (most recent call last):
  File "/usr/share/software-center/softwarecenter/backend/channel.py", line 153, in _check_for_channel_updates_timer
    if self._check_for_channel_updates():
  File "/usr/share/software-center/softwarecenter/backend/channel.py", line 169, in _check_for_channel_updates
    cache_origins = self.db._aptcache.get_origins()
  File "/usr/share/software-center/softwarecenter/apt/aptcache.py", line 186, in get_origins
    for item in pkg.candidate.origins:
  File "/usr/lib/python2.6/dist-packages/apt/package.py", line 442, in origins
    origins.append(Origin(self.package, packagefile))
  File "/usr/lib/python2.6/dist-packages/apt/package.py", line 151, in __init__
    indexfile = pkg._pcache._list.find_index(packagefile)
KeyboardInterrupt
回复

回到 “老旧版本支持”